Subject: Re: [PATCH v2] net: phy: leds: Add support for "link" trigger

From: Andrew Lunn <[email-masked]>
Date: Wed, 1 Nov 2017 13:31:02 +0100

> Yes, I did it the same way as the existing code did for phy->phy_led_triggers
> for reasons of both consistency and also to be on the safe side because
> maybe there is some non-obvious reason why it has to be freed
> explicitly (?).
 
Hi Maciej

Occasionally, there is a need to call devm_kfree(). But i don't see
anything here why it is needed. So i would drop your devm_kfree(), and
if you feel like it, add an additional patch removing the existing
one.

Thanks
	Andrew